DurableClientAttributes (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.distributed, class: DurableClientAttributes

Package org.apache.geode.distributed

# Class DurableClientAttributes

java.lang.Object
org.apache.geode.distributed.DurableClientAttributes

public class DurableClientAttributes extends Object
Class `DurableClientAttributes` represents durable member attributes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DurableClientAttributes()`
  `DurableClientAttributes(String id, int timeout)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `String`
  `getId()`
  Returns the durable client's id.
  `String`
  `getPoolName()`
  `int`
  `getTimeout()`
  Returns the durable client's timeout.
  `int`
  `hashCode()`
  `void`
  `setPoolName(String poolName)`
  `String`
  `toString()`
  `void`
  `updateTimeout(int newValue)`
  Used to update the timeout when a durable client comes back to a server

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DurableClientAttributes

    public DurableClientAttributes()

  - ### DurableClientAttributes

    public DurableClientAttributes(String id, int timeout)
    Constructor.
    Parameters:
      `id` - The id of the durable client.
      `timeout` - The timeout period of the durable client.

- ## Method Details

  - ### getId

    public String getId()
    Returns the durable client's id.
    Returns:
      the durable client's id

  - ### getTimeout

    public int getTimeout()
    Returns the durable client's timeout.
    Returns:
      the durable client's timeout

  - ### updateTimeout

    public void updateTimeout(int newValue)
    Used to update the timeout when a durable client comes back to a server
    Parameters:
      `newValue` - the new timeout value

  - ### setPoolName

    public void setPoolName(String poolName)

  - ### getPoolName

    public String getPoolName()

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`